# -*- encoding: utf-8 -*-
# stub: sprite-factory 1.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sprite-factory"
  s.version = "1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jake Gordon"]
  s.date = "2015-09-09"
  s.description = "Combines individual images from a directory into a single sprite image file and creates an appropriate CSS stylesheet"
  s.email = ["jake@codeincomplete.com"]
  s.executables = ["sf"]
  s.extra_rdoc_files = ["README.md"]
  s.files = [".gitignore", "Gemfile", "LICENSE", "README.md", "RELEASE_NOTES.md", "Rakefile", "bin/sf", "lib/sprite_factory.rb", "lib/sprite_factory/layout/horizontal.rb", "lib/sprite_factory/layout/packed.rb", "lib/sprite_factory/layout/vertical.rb", "lib/sprite_factory/library/chunky_png.rb", "lib/sprite_factory/library/image_magick.rb", "lib/sprite_factory/library/rmagick.rb", "lib/sprite_factory/runner.rb", "lib/sprite_factory/style.rb", "sprite_factory.gemspec", "test/images/custom/custom.css", "test/images/custom/running.png", "test/images/custom/stopped.png", "test/images/empty/readme.txt", "test/images/formats/alice.gif", "test/images/formats/codeincomplete.ico", "test/images/formats/github.ico", "test/images/formats/monkey.gif", "test/images/formats/spies.jpg", "test/images/formats/stackoverflow.ico", "test/images/formats/thief.png", "test/images/glob/excluded1.png", "test/images/glob/excluded2.png", "test/images/glob/included1.png", "test/images/glob/included2.png", "test/images/glob/included3.png", "test/images/hover/div.bar__img.icon--active.png", "test/images/hover/div.bar__img.icon--focus.png", "test/images/hover/div.bar__img.icon--hover.png", "test/images/hover/div.bar__img.icon--link.png", "test/images/hover/div.bar__img.icon--visited.png", "test/images/hover/div.bar__img.icon.png", "test/images/hover/div.foo__img.icon--active.png", "test/images/hover/div.foo__img.icon--focus.png", "test/images/hover/div.foo__img.icon--hover.png", "test/images/hover/div.foo__img.icon--link.png", "test/images/hover/div.foo__img.icon--visited.png", "test/images/hover/div.foo__img.icon.png", "test/images/irregular/irregular1.png", "test/images/irregular/irregular2.png", "test/images/irregular/irregular3.png", "test/images/irregular/irregular4.png", "test/images/irregular/irregular5.png", "test/images/irregular/readme.txt", "test/images/names/Ends With Bang!.png", "test/images/names/Has & Ampersand.png", "test/images/names/Odd.Period.png", "test/images/reference/custom.css", "test/images/reference/custom.png", "test/images/reference/formats.css", "test/images/reference/formats.png", "test/images/reference/glob.css", "test/images/reference/glob.png", "test/images/reference/hover.css", "test/images/reference/hover.png", "test/images/reference/index.html", "test/images/reference/irregular.css", "test/images/reference/irregular.filtered.css", "test/images/reference/irregular.filtered.png", "test/images/reference/irregular.fixed.css", "test/images/reference/irregular.fixed.png", "test/images/reference/irregular.horizontal.css", "test/images/reference/irregular.horizontal.png", "test/images/reference/irregular.margin.css", "test/images/reference/irregular.margin.png", "test/images/reference/irregular.packed.css", "test/images/reference/irregular.packed.png", "test/images/reference/irregular.padded.css", "test/images/reference/irregular.padded.png", "test/images/reference/irregular.png", "test/images/reference/irregular.sassy.css", "test/images/reference/irregular.sassy.png", "test/images/reference/irregular.sassy.sass", "test/images/reference/irregular.vertical.css", "test/images/reference/irregular.vertical.png", "test/images/reference/regular.css", "test/images/reference/regular.custom.css", "test/images/reference/regular.custom.png", "test/images/reference/regular.filtered.css", "test/images/reference/regular.filtered.png", "test/images/reference/regular.fixed.css", "test/images/reference/regular.fixed.png", "test/images/reference/regular.horizontal.css", "test/images/reference/regular.horizontal.png", "test/images/reference/regular.margin.css", "test/images/reference/regular.margin.png", "test/images/reference/regular.nocomments.css", "test/images/reference/regular.nocomments.png", "test/images/reference/regular.packed.css", "test/images/reference/regular.packed.png", "test/images/reference/regular.padded.css", "test/images/reference/regular.padded.png", "test/images/reference/regular.png", "test/images/reference/regular.sassy.css", "test/images/reference/regular.sassy.png", "test/images/reference/regular.sassy.sass", "test/images/reference/regular.vertical.css", "test/images/reference/regular.vertical.png", "test/images/reference/s.gif", "test/images/reference/sanitized.css", "test/images/reference/sanitized.custom.css", "test/images/reference/sanitized.custom.png", "test/images/reference/sanitized.png", "test/images/reference/subfolders.css", "test/images/reference/subfolders.png", "test/images/regular/regular1.PNG", "test/images/regular/regular2.PNG", "test/images/regular/regular3.PNG", "test/images/regular/regular4.PNG", "test/images/regular/regular5.PNG", "test/images/subfolders/england/amy.png", "test/images/subfolders/england/bob.png", "test/images/subfolders/france/bob.png", "test/images/subfolders/usa/amy.png", "test/images/subfolders/usa/bob.png", "test/integration_test.rb", "test/layout/horizontal_test.rb", "test/layout/packed_test.rb", "test/layout/test_case.rb", "test/layout/vertical_test.rb", "test/library_test.rb", "test/runner_test.rb", "test/style_test.rb", "test/test_case.rb"]
  s.homepage = "https://github.com/jakesgordon/sprite-factory"
  s.rdoc_options = ["--charset=UTF-8"]
  s.rubygems_version = "2.4.5.1"
  s.summary = "Automatic CSS sprite generator"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rmagick>, [">= 0"])
      s.add_development_dependency(%q<chunky_png>, [">= 0"])
    else
      s.add_dependency(%q<rmagick>, [">= 0"])
      s.add_dependency(%q<chunky_png>, [">= 0"])
    end
  else
    s.add_dependency(%q<rmagick>, [">= 0"])
    s.add_dependency(%q<chunky_png>, [">= 0"])
  end
end
